#
# Spec file for Red Hat Messaging package rhm.
#
Name:           rhm
Version:        0.1
Release:        3%{?dist}
Summary:        Red Hat extensions to the Qpid messaging system
Group:          System Environment/Libraries
License:        LGPL
URL:            http://rhm.et.redhat.com/rhm
Source0:        http://rhm.et.redhat.com/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qpidd-devel
BuildRequires: db4-devel
# TODO: Workaroudn missing dependency in qpidd-devel. Remove this
# when qpid-devel is updated.
BuildRequires: e2fsprogs-devel

Requires: qpidd
Requires: db4

Requires(preun):/sbin/service
Requires(postun):/sbin/service

%description
Red Hat extensions to the Qpid AMQP broker: persistent message storage
in Berkeley DB.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%_libdir/*.a
rm -f %{buildroot}%_libdir/*.la
rm -f %{buildroot}%_libdir/*.so

%clean
rm -rf %{buildroot}

%check
make check

%files
%defattr(-,root,root,-)
%doc README COPYING
%_libdir/libbdbstore.so.0
%_libdir/libbdbstore.so.0.1.0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-3
- Workaround missing BuildRequires: e2fsprogs-devel in qpidc-devel.
* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-2
- Added missing BuildRequires: db4-devel 
* Thu Apr 12 2007 Alan Conway <aconway@redhat.com> - 0.1-1
- Initial build.

